org.eclipse.emf.cdo.server.security

## Class SecurityManagerUtil

- java.lang.Object
- - org.eclipse.emf.cdo.server.security.SecurityManagerUtil

-     public final class SecurityManagerUtil
      extends java.lang.Object

  Static factory methods for creating `security managers`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ISecurityManager` | `createSecurityManager(java.lang.String realmPath)`
    `static ISecurityManager` | `createSecurityManager(java.lang.String realmPath, IManagedContainer container)`
    `static ISecurityManager` | `getSecurityManager(IRepository repository)`
    `static void` | `prepareContainer(IManagedContainer container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSecurityManager

          public static ISecurityManager getSecurityManager(IRepository repository)

      Since:
        4.3

    - #### createSecurityManager

          public static ISecurityManager createSecurityManager(java.lang.String realmPath)

    - #### createSecurityManager

          public static ISecurityManager createSecurityManager(java.lang.String realmPath,
                                                               IManagedContainer container)

    - #### prepareContainer

          public static void prepareContainer(IManagedContainer container)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html